Name:           mauikit
Version:        2.2.0
Release:        %autorelease
Summary:        A free and modular front-end framework for developing user experiences
License:        LGPL-3.0-only
URL:            https://mauikit.org
Source:         https://download.kde.org/stable/maui/mauikit/%{version}/mauikit-%{version}.tar.xz

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  extra-cmake-modules
BuildRequires:  cmake(Qt5Qml)
BuildRequires:  cmake(Qt5Core)
BuildRequires:  cmake(Qt5Concurrent)
BuildRequires:  cmake(Qt5Widgets)
BuildRequires:  cmake(Qt5QuickControls2)
BuildRequires:  cmake(Qt5Svg)
BuildRequires:  cmake(MauiMan)
BuildRequires:  cmake(Qt5X11Extras)
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  pkgconfig(xcb-icccm)
BuildRequires:  pkgconfig(xcb-shape)
BuildRequires:  pkgconfig(xcb)
BuildRequires:  cmake(KF5Config)
BuildRequires:  cmake(KF5I18n)
BuildRequires:  cmake(KF5CoreAddons)
BuildRequires:  cmake(KF5Notifications)
BuildRequires:  cmake(Qt5QuickCompiler)
BuildRequires:  cmake(Qt5Quick)
BuildRequires:  cmake(Qt5Qml)


%description
MauiKit is a set of templated controls and tools based on QQC2 initially using
Kirigami shared among the Maui set of applications. MauiKit helps to quickly
build UIs that follow the Maui HIG and bring ready-to-go tools for different
platforms, such as Android and Linux.  Maui stands for Multi-Adaptable User
Interface and allows any Maui app to run on various platforms + devices, like
Linux Desktop and Phones, Android, or Windows.


%prep
%autosetup


%build
%cmake_kf5
%cmake_build


%install
%cmake_install


%files
%license LICENSES/*
%{_includedir}/MauiKit
%{_libdir}/cmake/MauiKit
%{_libdir}/libMauiKit.so
%dir %{_kf5_qmldir}/org
%{_kf5_qmldir}/org/mauikit
%{_datadir}/org.mauikit.controls


%changelog
%autochangelog
